package com.zipcodewilmington.generic.identifiables;

import java.io.Serializable;

/**
 * @author leon on 05/12/2018.
 */
public class Person <TypeOfId extends Serializable> implements IdentifiableInterface <TypeOfId>{
private TypeOfId id;

    public Person() {
    }

    @Override
    public void setId(TypeOfId id) {
        this.id=id;

    }

    @Override
    public TypeOfId getIdentity() {
        return this.id;
    }

    @Override
    public Class<? extends Serializable> getIdentityType() {
        return String.class;
    }
}


